﻿@{
    ViewData["Title"] = "Maneja tus listas de tareas";
}

@model Todo_WebApp.Models.ViewModels.TodoViewModel;

<div class="card">
    <h5 class="card-header"> @ViewData["Title"] </h5>
    <div class="card-body">
        <table class="table table-hover">
            <thead>
                <tr>
                    <th> Estado </th>
                    <th> Tarea </th>
                    <th> Fecha </th>
                </tr>
            </thead>
            @foreach(var item in Model.Items)
            {
               <tr>
                   <td>
                       <input type="checkbox">
                   </td>
                   <td>
                       @item.Title
                   </td>
                   <td>
                       @item.DueAt
                   </td>
               </tr> 
            }
        </table>
        <div>
            
        </div>
    </div>
    <div class="card-footer">
        @await Html.PartialAsync("AddItemPartial", new TodoItem())
    </div>
</div>